<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'access', language 'he', version '2.0'.
 *
 * @package     access
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['access'] = 'נגישות';
$string['accesshelp'] = 'נגישות - עזרה';
$string['accesskey'] = 'מקש גישה, {$a}';
$string['accessstatement'] = 'הצהרת נגישות';
$string['activitynext'] = 'הפעילות הבאה';
$string['activityprev'] = 'הפעילות הקודמת';
$string['breadcrumb'] = 'נתיב מסלול ההצבעה';
$string['currenttopic'] = 'נושא זה';
$string['currentweek'] = 'שבוע זה';
$string['hideblocka'] = 'הסתרת משבצת {$a}';
$string['monthnext'] = 'בחודש הבא';
$string['monthprev'] = 'החודש הקודם';
$string['showblocka'] = 'הצגת משבצת {$a}';
$string['sitemap'] = 'מפת האתר';
$string['skipa'] = 'דילוג על {$a}';
$string['skipblock'] = 'דילוג על המשבצת';
$string['skipnavigation'] = 'דילוג על הניווט';
$string['skipto'] = 'דילוג ל {$a}';
$string['tabledata'] = 'טבלת נתונים, {$a}';
$string['tablelayout'] = 'טבלת תצורה, {$a}';
$string['tocontent'] = 'דילוג לתוכן העיקרי';
$string['tonavigation'] = 'המשך לניווט';
$string['youarehere'] = 'אתה נמצא כאן';
