<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_self', language 'he', version '2.0'.
 *
 * @package     enrol_self
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['customwelcomemessage'] = 'הודעת "ברוכים הבאים" מותאמת מראש';
$string['defaultrole'] = 'בררת־מחדל של הקצאת התפקיד';
$string['defaultrole_desc'] = 'בחירת תפקיד בקורס אליו ישויכו משתמשים חדשים, בעת בחירה ב "שיוך עצמי".';
$string['enrolenddate'] = 'תאריך סיום';
$string['enrolenddate_help'] = 'אם מופעל, משתמשים יכולים להירשם מתאריך זה ואילך בלבד.';
$string['enrolenddaterror'] = 'תאריך סיום ההרשמה לא יכול להיות מוקדם יותר מתאריך ההתחלה';
$string['enrolme'] = 'רשום אותי';
$string['enrolperiod'] = 'תקופת רישום';
$string['enrolperiod_desc'] = 'אורך תקופת הרישום כברירת מחדל (בשניות)';
$string['enrolperiod_help'] = 'אורך תקופת זמן הרישום תקפה, מתחיל ברגע שהמשתמש רשום . אם כבוי, משך תקופת הרישום יהיה בלתי מוגבל.';
$string['enrolstartdate'] = 'תאריך התחלה';
$string['enrolstartdate_help'] = 'אם מופעל, משתמשים יכולים להירשם מתאריך זה ואילך בלבד.';
$string['groupkey'] = 'שימוש במפתחות הרשמה של הקבוצה';
$string['groupkey_desc'] = 'שימוש במפתחות הרשמה של הקבוצה כבררת־מחדל';
$string['groupkey_help'] = 'בנוסף לחסימת הגישה לקורס רק עבור אלו היודעים מהו המפתח, שימוש במפתח הרשמה של קבוצה משמע, המשתמשים הירשמו אוטומטית לקורס ולקבוצה בעת הקשת מפתח הרשמה זה.

בכדי להשתמש במפתח הרשמה של קבוצה,  מפתח ההרשמה מוכרח להיות מצויין בהגדרות הקורס בנוסף להגדרות הקבוצה.';
$string['longtimenosee'] = 'הסרת משתמשים שאינם פעילים מהרישום לאחר';
$string['longtimenosee_help'] = 'אם המשתמשים לא נגשו לקורס במשך זמן רב, הם יוסרו מהרישום של הקורס באופן אוטומטי. משתנה זה מציין את תקופת הזמן הזו.';
$string['maxenrolled'] = 'מספר מירבי של משתמשים רשומים.';
$string['maxenrolled_help'] = 'ציין את המספר המירבי של משתמשים אשר מורשים להירשם באופן עצמאי. משמעות הערך 0 היא ללא גבול.';
$string['maxenrolledreached'] = 'המספר מירבי של משתמשים אשר מורשים להירשם באופן עצמאי  הגיע לסוף מכסתו.';
$string['password'] = 'מפתח הרשמה';
$string['password_help'] = 'מפתח הרשמה מאפשר לגשת לקורס רק לאלו היודעים אותו. אם השדה כאן ריק, כל משתמש יוכל להרשם לקורס.

אם מפתח מוזן כאן, כל משתמש אשר ינסה להיכנס לקורס יצטרך לספק את מפתח זה בכדי להירשם ולהיכנס לקורס. שים לב כי משתמש יצטרך לספק באופן חד פעמי את המפתח, לאחר מכן יוכל להיכנס לקורס ללא מפתח , כמו כן הוא כבר יהיה רשום אליו..';
$string['passwordinvalid'] = 'מפתח ההרשמה שהזנת שגוי, אנא נסה שוב.';
$string['passwordinvalidhint'] = 'מפתח ההרשמה ההוא היה שגוי, אנא נסה שנית<br /> (הנה רמז - הוא מתחיל ב\'{$a}\')';
$string['pluginname'] = 'שיוך עצמי';
$string['pluginname_desc'] = 'תוסף הרישום העצמי מאפשר למשתמשים לבחור אילו קורסים יוכלו להיות מוגנים על-ידי מפתח הרשמה. הרישום נעשה מבפנים דרך התוסף הרישום הידני אשר מוכרח להיות מאופשר באותו קורס.';
$string['requirepassword'] = 'נדרש מפתח הרשמה';
$string['requirepassword_desc'] = 'נדרש מפתח הרשמה לקורסים חדשים ולמנוע הסרת מפתח הרשמה מקורסים קיימים.';
$string['role'] = 'הקצאת תפקיד בררת־מחדל';
$string['self:config'] = 'הגדרת מנגנון שיוך עצמי';
$string['self:manage'] = 'ניהול משתמשים רשומים';
$string['self:unenrol'] = 'הסרת שיוך משתמשים מתפקיד בקורס';
$string['self:unenrolself'] = 'הסרת שיוך עצמי מהקורס';
$string['sendcoursewelcomemessage'] = 'שליחת הודעה "ברוכים הבאים לקורס"';
$string['sendcoursewelcomemessage_help'] = 'אם מאופשר, המשתמש יקבל הודעת "ברוך הבא" דרך הדוא"ל כאשר הוא נרשם לקורס באופן עצמאי';
$string['showhint'] = 'הצגת רמז';
$string['showhint_desc'] = 'הצגת אות ראשונה של מפתח גישת האורח';
$string['status'] = 'אפשר הרשמות עצמיות';
$string['status_desc'] = 'אפשר למשתמשים להירשם לקורס באופן עצמאי  כברירת מחדל.';
$string['status_help'] = 'הגדרה זו קובעת אם משתמש יכול לרשום עצמם לקורס ( וגם להסיר מהרישום אם יש להם הרשאות מתאימות).';
$string['unenrolselfconfirm'] = 'האם הינך בטוח כי ברצונך להסיר עצמך מהרישום לקורס  "{$a}"?';
$string['usepasswordpolicy'] = 'מדיניות סיסמת משתמש';
$string['usepasswordpolicy_desc'] = 'מדיניות סיסמת משתמש רגילה עבור מפתחות הרשמה.';
$string['welcometocourse'] = 'ברוכים הבאים לקורס {$a}';
$string['welcometocoursetext'] = 'ברוכים הבאים לקורס {$a->coursename}!

אם טרם עשית זאת, עליך לערוך את עמוד הפרופיל שלך בקורס כך שנוכל להכירך טוב יותר:

{$a->profileurl}';
